Subject: Re: linux-next: manual merge of the net-next tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 May 2024 09:22:28 +1000

Hi all,

On Mon, 6 May 2024 11:28:10 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
> 
> Today's linux-next merge of the net-next tree got a conflict in:
> 
>   drivers/net/wireless/intel/iwlwifi/mvm/Makefile
> 
> between commit:
> 
>   7c972986689b ("kbuild: use $(src) instead of $(srctree)/$(src) for source directory")
> 
> from the kbuild tree and commit:
> 
>   2887af4d22f9 ("wifi: iwlwifi: mvm: implement link grading")
> 
> from the net-next tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/net/wireless/intel/iwlwifi/mvm/Makefile
> index 764ba73cde1e,5c754b87ea20..000000000000
> --- a/drivers/net/wireless/intel/iwlwifi/mvm/Makefile
> +++ b/drivers/net/wireless/intel/iwlwifi/mvm/Makefile
> @@@ -15,4 -16,4 +16,4 @@@ iwlmvm-$(CONFIG_IWLWIFI_LEDS) += led.
>   iwlmvm-$(CONFIG_PM) += d3.o
>   iwlmvm-$(CONFIG_IWLMEI) += vendor-cmd.o
>   
> - ccflags-y += -I $(src)/../
>  -subdir-ccflags-y += -I $(srctree)/$(src)/../
> ++subdir-ccflags-y += -I $(src)/../

This is now a conflict between the kbuild tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell